# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "foxguard"
version = "0.3.3"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Security scanner as fast as a linter. 100+ built-in rules, 10 languages, sub-second scans."
homepage = "https://foxguard.dev"
readme = "README.md"
keywords = [
    "security",
    "linter",
    "static-analysis",
    "sast",
    "vulnerability",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT"
repository = "https://github.com/peaktwilight/foxguard"

[lib]
name = "foxguard"
path = "src/lib.rs"

[[bin]]
name = "foxguard"
path = "src/main.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[[test]]
name = "rule_inventory"
path = "tests/rule_inventory.rs"

[[test]]
name = "semgrep_integration"
path = "tests/semgrep_integration.rs"

[[test]]
name = "semgrep_parity"
path = "tests/semgrep_parity.rs"

[dependencies.clap]
version = "4"
features = ["derive"]

[dependencies.colored]
version = "2"

[dependencies.globset]
version = "0.4"

[dependencies.ignore]
version = "0.4"

[dependencies.rayon]
version = "1"

[dependencies.regex]
version = "1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.serde_json]
version = "1"

[dependencies.serde_yaml]
version = "0.9"

[dependencies.sha2]
version = "0.10"

[dependencies.tree-sitter]
version = "0.25"

[dependencies.tree-sitter-c-sharp]
version = "0.23"

[dependencies.tree-sitter-go]
version = "0.23"

[dependencies.tree-sitter-java]
version = "0.23"

[dependencies.tree-sitter-javascript]
version = "0.23"

[dependencies.tree-sitter-php]
version = "0.24"

[dependencies.tree-sitter-python]
version = "0.23"

[dependencies.tree-sitter-ruby]
version = "0.23"

[dependencies.tree-sitter-rust]
version = "0.24"

[dependencies.tree-sitter-swift]
version = "0.7"

[dependencies.walkdir]
version = "2"

[dev-dependencies.tempfile]
version = "3"
